# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# C:\b\abs_a1__mbrh3e\clone\recipe, last modified Sat Jun 22 07:04:20 2024
# ------------------------------------------------

package:
  name: snowflake-ml-python
  version: 1.5.3
source:
  sha256: 65e70b14589f7bb720b1522b628bd129140ef592c460be3c64d9898b210eae05
  url: https://github.com/snowflakedb/snowflake-ml-python/archive/refs/tags/1.5.3.tar.gz
build:
  number: '0'
  string: py311h827c3e9_0
requirements:
  build:
    - bazel 6.2.0 hd77b12b_0
    - m2-base 1.0.0 3
    - m2-bash 4.3.042 5
    - m2-bash-completion 2.3 2
    - m2-catgets 1.1 3
    - m2-coreutils 8.25 102
    - m2-dash 0.5.8 2
    - m2-diffutils 3.3 4
    - m2-file 5.25 2
    - m2-filesystem 2016.04 4
    - m2-findutils 4.6.0 2
    - m2-gawk 4.1.3 2
    - m2-gcc-libs 5.3.0 4
    - m2-gettext 0.19.7 4
    - m2-gmp 6.1.0 3
    - m2-grep 2.22 4
    - m2-gzip 1.7 2
    - m2-inetutils 1.9.2 2
    - m2-info 6.0 2
    - m2-less 481 2
    - m2-libasprintf 0.19.7 4
    - m2-libbz2 1.0.6 3
    - m2-libcatgets 1.1 3
    - m2-libcrypt 1.3 2
    - m2-libgettextpo 0.19.7 4
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-liblzma 5.2.2 2
    - m2-libpcre 8.38 2
    - m2-libreadline 6.3.008 8
    - m2-libutil-linux 2.26.2 2
    - m2-libxml2 2.9.2 3
    - m2-make 4.1 5
    - m2-mintty 1!2.2.3 2
    - m2-mpfr 3.1.4 2
    - m2-msys2-launcher-git 0.3.28.860c495 2
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-ncurses 6.0.20160220 2
    - m2-sed 4.2.2 3
    - m2-tar 1.28 4
    - m2-tftp-hpa 5.2 2
    - m2-time 1.7 2
    - m2-ttyrec 1.0.8 2
    - m2-tzcode 2015.e 2
    - m2-unzip 6.0 3
    - m2-util-linux 2.26.2 2
    - m2-which 2.21 3
    - m2-zip 3.0 2
    - m2-zlib 1.2.8 4
    - msys2-conda-epoch 20160418 1
    - openjdk 11.0.13 h2bbff1b_0
    - posix 1.0.0 2
    - vc 14.2 h2eaa2aa_1
    - vs2015_runtime 14.29.30133 h43f2093_3
    - vs2019_win-64 19.29.30154 h96f319f_3
    - vswhere 2.8.4 haa95532_0
  host:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.3.11 haa95532_0
    - libffi 3.4.4 hd77b12b_1
    - openssl 3.0.14 h827c3e9_0
    - pip 24.0 py311haa95532_0
    - python 3.11.9 he1021f5_0
    - setuptools 69.5.1 py311haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.14 h0416ee5_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h2eaa2aa_1
    - vs2015_runtime 14.29.30133 h43f2093_3
    - wheel 0.43.0 py311haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - absl-py >=0.15,<2
    - aiohttp !=4.0.0a0,!=4.0.0a1
    - anyio >=3.5.0,<4
    - cachetools >=3.1.1,<6
    - cloudpickle >=2.0.0
    - fsspec >=2022.11,<2024
    - importlib_resources >=6.1.1,<7
    - numpy >=1.23,<2
    - packaging >=20.9,<24
    - pandas >=1.0.0,<3
    - pyarrow
    - python >=3.11,<3.12.0a0
    - pytimeparse >=1.1.8,<2
    - pyyaml >=6.0,<7
    - requests
    - retrying >=1.3.3,<2
    - s3fs >=2022.11,<2024
    - scikit-learn >=1.2.1,<1.4
    - scipy >=1.9,<2
    - snowflake-connector-python >=3.5.0,<4
    - snowflake-snowpark-python >=1.15.0,<2
    - sqlparse >=0.4,<1
    - typing-extensions >=4.1.0,<5
    - vc >=14.2,<15.0a0
    - vs2015_runtime >=14.29.30133,<15.0a0
    - xgboost >=1.7.3,<2
  run_constrained:
    - catboost >=1.2.0,<2
    - lightgbm >=3.3.5,<5
    - mlflow >=2.1.0,<2.4
    - peft >=0.5.0,<1
    - pytorch >=2.0.1,<3
    - sentence-transformers >=2.2.2,<3
    - sentencepiece >=0.1.95,<1
    - shap ==0.42.1
    - tensorflow >=2.10,<3
    - tokenizers >=0.10,<1
    - torchdata >=0.4,<1
    - transformers >=4.32.1,<5
test:
  commands: null
  imports:
    - snowflake.ml
    - snowflake.ml.fileset
    - snowflake.ml.model
    - snowflake.ml.modeling
    - snowflake.ml.registry
    - snowflake.ml.utils
  requires:
    - pip
about:
  description: 'The machine learning client library that is used for interacting with
    Snowflake

    to build machine learning solutions. Functionalities include model uploading,

    training, feature engineering, etc.

    '
  dev_url: https://github.com/snowflakedb/snowflake-ml-python
  doc_url: https://docs.snowflake.com/developer-guide/snowpark-ml/index
  home: https://github.com/snowflakedb/snowflake-ml-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Snowflake machine learning library.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a14b039a-6c50-4ec8-9920-a99780695964
  recipe-maintainers:
    - sumit0190
  remote_url: git@github.com:AnacondaRecipes/snowflake-ml-python-feedstock.git
  sha: 033f923d266ee506cf1edc7addbbdccfaaf28336
